ToggleQuestTracker = {}

local addon = { name = "ToggleQuestTracker" }
local em = GetEventManager()
local questTrackerHidden = true

ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_QUEST_TRACKER", "Show/Hide quest tracker")

function addon.OnAddOnLoaded(event, addonName)
  if addonName ~= addon.name then return end
  addon.Initialize()
end

function addon.Initialize()
	ZO_FocusedQuestTrackerPanel:SetHidden(true)

	SLASH_COMMANDS['/questtracker'] = function()
		ZO_FocusedQuestTrackerPanel:SetHidden(questTrackerHidden)
		questTrackerHidden = not questTrackerHidden
	end

	em:UnregisterForEvent(addon.name, EVENT_ADD_ON_LOADED)
end

em:RegisterForEvent(addon.name, EVENT_ADD_ON_LOADED, addon.OnAddOnLoaded)
